
D4Science Infrastructure - Incident #13215

Some DataMiners not working in PerformFish-KPIs scope

Jan 24, 2019 12:00 PM - Gianpaolo Coro

Status: Closed Start date: Jan 24, 2019

Priority: Immediate Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: DataMiner - Provisioning   

Infrastructure: Production   

Description

Some DataMiner instances in the dataminer.garr cluster are not working in the FARM/PerformFISH-KPIs VRE. They do not answer

to specific requests of computations and to Get Capabilities calls.

This is one sample call in the mentioned VRE that sometimes fails:

http://dataminer.garr.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version=1

.0.0&gcube-token=c4431436-7859-4abe-a202-6eec9a34714f-843339462&lang=en-US&Identifier=org.gcube.da

taanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.PERFORMFISH_DATA_VALIDAT

OR_V2&DataInputs=CompanyData=https%3A%2F%2Fdata.d4science.org%2Fshub%2Fee871665-1e7a-483d-ad75-969

b196ebdee;Template=PRE_ONGROWING;Overwrite=true;LatestCompanyData=https%3A%2F%2Fdata.d4science.org

%2Fshub%2Fee871665-1e7a-483d-ad75-969b196ebdee;

 I have not identified the exact machines. The error I get is:

Error (500) : unexpected error

Stacktrace:

org.gcube.smartgears.handlers.application.request.RequestException: error contacting authorization

 service

 Perhaps some DMs are not in that scope?

Related issues:

Related to D4Science Infrastructure - Incident #13265: StorageHub - Error in ... Closed Feb 04, 2019

History

#1 - Jan 24, 2019 12:08 PM - Massimiliano Assante

From the portlet on the tomcat log I can see the following:

2019-01-24 10:56:37,186 WARN  performfish.SubmittedFormValidation [ajp-bio-8009-exec-22,sendGet:310] %10:56:37,186 WARN 

[ajp-bio-8009-exec-22][SubmittedFormValidation:310] response from Dataminer is empty or an error occurred, retry tentative: 4 of 3

2019-01-24 10:56:37,187 ERROR performfish.SubmittedFormValidation [ajp-bio-8009-exec-22,sendGet:311] %10:56:37,187 ERROR

[ajp-bio-8009-exec-22][SubmittedFormValidation:311] here is the faulty response from Dataminer=Error (500) : unexpected

errorStacktrace:org.gcube.smartgears.handlers.application.request.RequestException: error contacting authorization service at

org.gcube.smartgears.handlers.application.request.RequestError.toException(RequestError.java:110)    at

org.gcube.smartgears.handlers.application.request.RequestError.fire(RequestError.java:94)    at

org.gcube.smartgears.handlers.application.request.RequestContextRetriever.retreiveAndSetInfo(RequestContextRetriever.java:80)    at

org.gcube.smartgears.handlers.application.request.RequestContextRetriever.handleRequest(RequestContextRetriever.java:56) at

org.gcube.smartgears.handlers.application.RequestHandler.onEvent(RequestHandler.java:58) at

org.gcube.smartgears.handlers.application.RequestHandler.onEvent(RequestHandler.java:21) at

org.gcube.smartgears.handlers.Pipeline.forward(Pipeline.java:65) at

org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:86)    at

org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)    at

org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)    at

org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)  at

org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)  at

org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)   at

org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)    at

org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98) at

org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)    at

org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)  at

org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)    at

org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)  at

org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)  at
org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)  at

org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313) at

java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)  at

java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)  at java.lang.Thread.run(Thread.java:748)Error (500) :

unexpected errorStacktrace:org.gcube.smartgears.handlers.application.request.RequestException: error contacting authorization service at

org.gcube.smartgears.handlers.application.request.RequestError.toException(RequestError.java:110)    at

org.gcube.smartgears.handlers.application.request.RequestError.fire(RequestError.java:94)    at

org.gcube.smartgears.handlers.application.request.RequestContextRetriever.retreiveAndSetInfo(RequestContextRetriever.java:80)    at

org.gcube.smartgears.handlers.application.request.RequestContextRetriever.handleRequest(RequestContextRetriever.java:56) at

org.gcube.smartgears.handlers.application.RequestHandler.onEvent(RequestHandler.java:58) at

org.gcube.smartgears.handlers.application.RequestHandler.onEvent(RequestHandler.java:21) at

org.gcube.smartgears.handlers.Pipeline.forward(Pipeline.java:65) at

org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:86)    at

org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)    at

org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)    at

org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)  at

org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)  at

org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)   at

org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)    at

org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98) at

org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)    at

org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)  at

org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)    at

org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)  at

org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)  at

org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)  at

org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313) at

java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)  at

java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)  at java.lang.Thread.run(Thread.java:748)<?xml version="1.0"

encoding="UTF-8"?>      ows:Identifier

org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.PERFORMFISH_DATA_VALIDATOR_V2/ows:Identifier    

ows:TitlePERFORMFISH_DATA_VALIDATOR_V2/ows:Title  /wps:Process      wps:ProcessSucceededProcess successful/wps:ProcessSucceeded  

/wps:Status  wps:ProcessOutputs    wps:Output      ows:Identifiernon_deterministic_output/ows:Identifier      ows:TitleNonDeterministicOutput

/ows:Title      wps:Data                              gml:featureMember                              d4science:Data

http://data.d4science.org/QkNSaklYc2ZMcmZGbFkwMVF5dnBYSHYwblZ0Q09YOWxHbWJQNStIS0N6Yz0-VLT/d4science:Data                

d4science:DescriptionLog of the computation/d4science:Description                d4science:MimeTypetext/csv/d4science:MimeType              /ogr:Result 

d4science:Datahttp://data.d4science.org/QkNSaklYc2ZMcmZGbFkwMVF5dnBYQTBITXVnQXBranpHbWJQNStIS0N6Yz0-VLT/d4science:Data          

d4science:DescriptionValidationResult/d4science:Description                d4science:MimeTypetext/csv/d4science:MimeType              /ogr:Result            

/gml:featureMember          /ogr:FeatureCollection        /wps:ComplexData      /wps:Data    /wps:Output  /wps:ProcessOutputs/wps:ExecuteResponse

[Fatal Error] :1:1: Content is not allowed in prolog.

org.xml.sax.SAXParseException; lineNumber: 1; columnNumber: 1; Content is not allowed in prolog.

at com.sun.org.apache.xerces.internal.parsers.DOMParser.parse(DOMParser.java:257)

at com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderImpl.parse(DocumentBuilderImpl.java:339)

at org.gcube.portlets.user.performfish.SubmittedFormValidation.parseResult(SubmittedFormValidation.java:254)

at org.gcube.portlets.user.performfish.SubmittedFormValidation.doWPSCallToDataMiner(SubmittedFormValidation.java:222)

at org.gcube.portlets.user.performfish.SubmittedFormValidation.serveResource(SubmittedFormValidation.java:152)

at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:122)

at com.liferay.portlet.ScriptDataPortletFilter.doFilter(ScriptDataPortletFilter.java:82)

at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:116)

at com.liferay.portal.kernel.portlet.PortletFilterUtil.doFilter(PortletFilterUtil.java:71)

at com.liferay.portal.kernel.servlet.PortletServlet.service(PortletServlet.java:112)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

#2 - Jan 24, 2019 03:29 PM - Andrea Dell'Amico

From the errors that I see into the ghn.log file, it could be a registry problem. @roberto.cirillo@isti.cnr.it @lucio.lelii@isti.cnr.it are you able to check?

#3 - Jan 28, 2019 11:10 AM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

I'm going to check the logs.

#4 - Jan 28, 2019 11:50 AM - Roberto Cirillo

- % Done changed from 0 to 40

The problem seems to be related to the dataminer service state on some instances deployed at garr. 

2019-01-28 11:24:47,117 [catalina-exec-6] WARN  RequestValidator: rejecting call to DataMiner in invalid conte

xt /d4science.research-infrastructures.eu/FARM/PerformFISH-KPIs, allowed context are [/d4science.research-infr

astructures.eu/D4OS, /d4science.research-infrastructures.eu/OpenAIRE, /d4science.research-infrastructures.eu/g

CubeApps, /d4science.research-infrastructures.eu/D4Research, /d4science.research-infrastructures.eu/ParthenosV
support.d4science.org/ows:Identifier
support.d4science.org/ows:Title
support.d4science.org/wps:Process
support.d4science.org/wps:ProcessSucceeded
support.d4science.org/wps:Status
support.d4science.org/ows:Identifier
support.d4science.org/ows:Title
http://data.d4science.org/QkNSaklYc2ZMcmZGbFkwMVF5dnBYSHYwblZ0Q09YOWxHbWJQNStIS0N6Yz0-VLT
support.d4science.org/d4science:Data
support.d4science.org/d4science:Description
support.d4science.org/d4science:MimeType
support.d4science.org/ogr:Result
http://data.d4science.org/QkNSaklYc2ZMcmZGbFkwMVF5dnBYQTBITXVnQXBranpHbWJQNStIS0N6Yz0-VLT
support.d4science.org/d4science:Data
support.d4science.org/d4science:Description
support.d4science.org/d4science:MimeType
support.d4science.org/ogr:Result
support.d4science.org/gml:featureMember
support.d4science.org/ogr:FeatureCollection
support.d4science.org/wps:ComplexData
support.d4science.org/wps:Data
support.d4science.org/wps:Output
support.d4science.org/wps:ProcessOutputs
support.d4science.org/wps:ExecuteResponse


O]

 and the container.xml contains the FARM scope.

For the moment I've found two VMs with the same problem:

dm-192-168-100-14

dm-192-168-100-7

I'm going to clean the state and retry

#5 - Jan 28, 2019 04:12 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 40 to 100

After the clean state I've seen the same problem on the log:

2019-01-28 14:43:05,955 [pool-9-thread-11] INFO  ScopedPublisherImpl: [UPDATE] call to registryPublisher upada

te method on resource 465144c9-4867-49cc-86cf-49e71cc6301e in scope null with scopes [/d4science.research-infr

astructures.eu/D4OS, /d4science.research-infrastructures.eu/SoBigData, /d4science.research-infrastructures.eu/

gCubeApps, /d4science.research-infrastructures.eu/ParthenosVO, /d4science.research-infrastructures.eu/D4Resear

ch, /d4science.research-infrastructures.eu/SmartArea, /d4science.research-infrastructures.eu/OpenAIRE]

2019-01-28 14:42:33,302 [catalina-exec-6] WARN  RequestValidator: rejecting call to DataMiner in invalid conte

xt /d4science.research-infrastructures.eu/FARM/PerformFISH-KPIs, allowed context are [/d4science.research-infr

astructures.eu/D4OS, /d4science.research-infrastructures.eu/SmartArea, /d4science.research-infrastructures.eu/

OpenAIRE, /d4science.research-infrastructures.eu/gCubeApps, /d4science.research-infrastructures.eu/D4Research,

 /d4science.research-infrastructures.eu/ParthenosVO, /d4science.research-infrastructures.eu/SoBigData]

 this means that the instance was no more running on FARM.

It's not clear to me but I think this happen when in initialization phase a registry instance or maybe the authorization instance is unreachable.

In attachment an extracted of ghn.log. The FARM scope after some exceptions (authorization and registry) disappears from the application scopes.

I've solved the problem deleting again the container state and restarting the FARM registry instance.

@lucio.lelii@isti.cnr.it, @andrea.dellamico@isti.cnr.it  any opinion? For the moment I'm going to close this incident.

#6 - Jan 28, 2019 04:13 PM - Roberto Cirillo

- File ghn.log added

#7 - Jan 30, 2019 07:06 PM - Gianpaolo Coro

- Status changed from Closed to In Progress

Unfortunately, this is happening again. 

#8 - Jan 30, 2019 07:11 PM - Gianpaolo Coro

- % Done changed from 100 to 0

#9 - Jan 30, 2019 07:19 PM - Pasquale Pagano

- Priority changed from Urgent to Immediate

#10 - Jan 31, 2019 10:35 AM - Roberto Cirillo

Are you sure the error is the same?

#11 - Jan 31, 2019 10:49 AM - Roberto Cirillo

I've found another kind of error on the portal:

2019-01-30 18:00:56,617 ERROR performfish.SubmittedFormValidation [ajp-bio-8009-exec-81,sendGet:300] %18:00:56

,617 ERROR [ajp-bio-8009-exec-81][SubmittedFormValidation:300] here is the faulty response from Dataminer=Erro

r (500) : unexpected errorStacktrace:org.gcube.smartgears.handlers.application.request.RequestException: error

 contacting authorization service     at org.gcube.smartgears.handlers.application.request.RequestError.toExce

ption(RequestError.java:110)    at org.gcube.smartgears.handlers.application.request.RequestError.fire(Request

Error.java:94)    at org.gcube.smartgears.handlers.application.request.RequestContextRetriever.retreiveAndSetI

nfo(RequestContextRetriever.java:80)        at org.gcube.smartgears.handlers.application.request.RequestContex

tRetriever.handleRequest(RequestContextRetriever.java:56)     at org.gcube.smartgears.handlers.application.Req

uestHandler.onEvent(RequestHandler.java:58)

     at org.gcube.smartgears.handlers.application.RequestHandler.onEvent(RequestHandler.java:21)     at org.gc

ube.smartgears.handlers.Pipeline.forward(Pipeline.java:65)     at org.gcube.smartgears.managers.RequestManager

.doFilter(RequestManager.java:86)        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(A
pplicationFilterChain.java:241)    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilt

erChain.java:208)    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)  a

t org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)  at org.apache.catalina.

authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)       at org.apache.catalina.core.StandardH

ostValve.invoke(StandardHostValve.java:170)        at org.apache.catalina.valves.ErrorReportValve.invoke(Error

ReportValve.java:98) at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)    at org.ap

ache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)      at org.apache.catalina.core.StandardEng

ineValve.invoke(StandardEngineValve.java:116)    at org.apache.catalina.connector.CoyoteAdapter.service(Coyote

Adapter.java:408)  at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:10

41)  at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:607)      a

t org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)     at java.util.concurrent

.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)      at java.util.concurrent.ThreadPoolExecutor$Wo

rker.run(ThreadPoolExecutor.java:624)      at java.lang.Thread.run(Thread.java:748)

2019-01-30 18:00:56,618 INFO  performfish.SubmittedFormValidation [ajp-bio-8009-exec-81,sendGet:279] %18:00:56

,618 INFO  [ajp-bio-8009-exec-81][SubmittedFormValidation:279] request to=GET http://dataminer.garr.d4science.

org/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-token=9c6711bc-e0ff-4968-9888-a51

688ef510b-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclas

ses.transducerers.PERFORMFISH_DATA_VALIDATOR_V2&DataInputs=CompanyData=http%3A%2F%2Fdata.d4science.org%2FaEZoN

FFjOE9ON2VwSnJXbFUvbmdJSDM1YnF2TFEvU29HbWJQNStIS0N6Yz0;Template=GROW_OUT_AGGREGATED_CLOSED_BATCHES;Overwrite=f

alse;LatestCompanyData=http%3A%2F%2Fdata.d4science.org%2FaEZoNFFjOE9ON2VwSnJXbFUvbmdJSDM1YnF2TFEvU29HbWJQNStIS

0N6Yz0; HTTP/1.1

 This seems to be a communication problem between dataminer instance (@garr) and authorization service (@cnr).

#12 - Jan 31, 2019 10:50 AM - Roberto Cirillo

@lucio.lelii@isti.cnr.it, @andrea.dellamico@isti.cnr.it any opinion?

#13 - Jan 31, 2019 12:18 PM - Andrea Dell'Amico

It happens sometimes, when they happen at tomcat startup time the container fails the deploy so it's automatically restarted by the nagios handler or

the problem is notified. If it happens at runtime, I don't know what the behaviour is. The service still answers correctly to the checks, so we do not get

anything in the monitoring system.

#14 - Jan 31, 2019 01:08 PM - Lucio Lelii

I agree with Roberto, if it happens randomly it is a comunication problem

#16 - Feb 04, 2019 11:06 AM - Massimiliano Assante

- File Screenshot 2019-02-04 at 11.01.34.png added

as of today the DataMiner in this scope is still not working ...

#17 - Feb 04, 2019 11:14 AM - Roberto Cirillo

Massimiliano Assante wrote:

as of today the DataMiner in this scope is still not working ...

 @massimiliano.assante@isti.cnr.it please, could you check the portal logs and report the exception here?

#18 - Feb 04, 2019 11:17 AM - Massimiliano Assante

Roberto Cirillo wrote:

Massimiliano Assante wrote:

as of today the DataMiner in this scope is still not working ...

 @massimiliano.assante@isti.cnr.it please, could you check the portal logs and report the exception here?

 Can't help today sorry, i'm abroad and in a working meeting. The logs are located either in infra-gateway or infra-gateway1 tomcat catalina.out.

@gianpaolo.coro@isti.cnr.it can help in reproducing the issue as he can submit forms and other algorithms in that scope. 

#19 - Feb 04, 2019 04:56 PM - Roberto Cirillo

Massimiliano Assante wrote:

Roberto Cirillo wrote:

Massimiliano Assante wrote:
as of today the DataMiner in this scope is still not working ...

 @massimiliano.assante@isti.cnr.it please, could you check the portal logs and report the exception here?

 Can't help today sorry, i'm abroad and in a working meeting. The logs are located either in infra-gateway or infra-gateway1 tomcat catalina.out.

@gianpaolo.coro@isti.cnr.it can help in reproducing the issue as he can submit forms and other algorithms in that scope.

 Now the problem should be solved. The problem was due to a public link problem as reported here: #13265

I'm going to close this ticket

#20 - Feb 04, 2019 04:56 PM - Roberto Cirillo

- Related to Incident #13265: StorageHub - Error in accessing to public links added

#21 - Feb 04, 2019 04:57 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#22 - Feb 04, 2019 06:06 PM - Massimiliano Assante

- Status changed from Closed to In Progress

- % Done changed from 100 to 0

Right now no instance at all seem working in this scope. The exception looks different though, it says Exception exceptionCode="NoApplicableCode"

2019-02-04 17:04:54,059 INFO  performfish.SubmittedFormValidation [ajp-bio-8009-exec-5,doWPSCallToDataMiner:20

5] %17:04:54,059 INFO  [ajp-bio-8009-exec-5][SubmittedFormValidation:205] got DataMiner instance=http://datami

ner.garr.d4science.org/wps/WebProcessingService

2019-02-04 17:04:54,060 INFO  performfish.SubmittedFormValidation [ajp-bio-8009-exec-5,doWPSCallToDataMiner:20

8] %17:04:54,060 INFO  [ajp-bio-8009-exec-5][SubmittedFormValidation:208] inputFileLink at: http%3A%2F%2Fdata.

d4science.org%2FNUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0

2019-02-04 17:04:54,062 INFO  performfish.SubmittedFormValidation [ajp-bio-8009-exec-5,sendGet:279] %17:04:54,

062 INFO  [ajp-bio-8009-exec-5][SubmittedFormValidation:279] request to=GET http://dataminer.garr.d4science.or

g/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-token=9c6711bc-e0ff-4968-9888-a5168

8ef510b-843339462&lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasse

s.transducerers.PERFORMFISH_DATA_VALIDATOR_V2&DataInputs=CompanyData=http%3A%2F%2Fdata.d4science.org%2FNUw4b2I

5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0;Template=PRE_ONGROWING_CLOSED_BATCHES;Overwrite=false;Lat

estCompanyData=http%3A%2F%2Fdata.d4science.org%2FNUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0; 

HTTP/1.1

2019-02-04 17:04:54,861 INFO  performfish.SubmittedFormValidation [ajp-bio-8009-exec-5,doWPSCallToDataMiner:21

2] %17:04:54,861 INFO  [ajp-bio-8009-exec-5][SubmittedFormValidation:212] PARSED OK resultFileURL: <ExceptionR

eport version="1.0.0">  <Exception exceptionCode="NoApplicableCode">    <ExceptionText>Error while executing t

he embedded process for: org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers

.PERFORMFISH_DATA_VALIDATOR_V2</ExceptionText>  </Exception>  <Exception exceptionCode="JAVA_StackTrace">    <

ExceptionText>org.n52.wps.server.ExceptionReport: Error while executing the embedded process for: org.gcube.da

taanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.PERFORMFISH_DATA_VALIDATOR_V2 at org

.gcube.data.analysis.wps.ExecuteRequest.call(ExecuteRequest.java:646) at org.gcube.data.analysis.wps.ExecuteRe

quest.call(ExecuteRequest.java:68)  at org.gcube.common.authorization.library.AuthorizedTasks$1.call(Authorize

dTasks.java:41)   at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPo

olExecutor.runWorker(ThreadPoolExecutor.java:1149)  at java.util.concurrent.ThreadPoolExecutor$Worker.run(Thre

adPoolExecutor.java:624)  at java.lang.Thread.run(Thread.java:748)Caused by: java.lang.RuntimeException: http:

//data.d4science.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0    at org.n52.wps.algorithm.a

nnotation.AnnotationBinding$ExecuteMethodBinding.execute(AnnotationBinding.java:96)   at org.n52.wps.server.Ab

stractAnnotatedAlgorithm.run(AbstractAnnotatedAlgorithm.java:54)    at org.gcube.data.analysis.wps.ExecuteRequ

est.call(ExecuteRequest.java:615) ... 6 moreCaused by: java.io.FileNotFoundException: http://data.d4science.or

g/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0   at sun.net.www.protocol.http.HttpURLConnection

.getInputStream0(HttpURLConnection.java:1872) at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Ht

tpURLConnection.java:1474)  at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.InputsManager

.getLocalFiles(InputsManager.java:246)    at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping

.InputsManager.mergeWpsAndEcologicalInputs(InputsManager.java:123)  at org.gcube.dataanalysis.wps.statisticalm

anager.synchserver.mapping.AbstractEcologicalEngineMapper.run(AbstractEcologicalEngineMapper.java:401)    at o

rg.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.PERFORMFISH_DATA_VALIDATO

R_V2.run(PERFORMFISH_DATA_VALIDATOR_V2.java:30)   at sun.reflect.GeneratedMethodAccessor138.invoke(Unknown Sou

rce)    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)    at java.la

ng.reflect.Method.invoke(Method.java:498) at org.n52.wps.algorithm.annotation.AnnotationBinding$ExecuteMethodB

inding.execute(AnnotationBinding.java:89)   ... 8 more</ExceptionText>  </Exception>  <Exception exceptionCode

="JAVA_RootCause">    <ExceptionText>http://data.d4science.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJ

QNStIS0N6Yz0</ExceptionText>    <ExceptionText>java.lang.RuntimeException: http://data.d4science.org/NUw4b2I5c

ExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0    at org.n52.wps.algorithm.annotation.AnnotationBinding$Ex

ecuteMethodBinding.execute(AnnotationBinding.java:96)   at org.n52.wps.server.AbstractAnnotatedAlgorithm.run(A
bstractAnnotatedAlgorithm.java:54)    at org.gcube.data.analysis.wps.ExecuteRequest.call(ExecuteRequest.java:6

15) at org.gcube.data.analysis.wps.ExecuteRequest.call(ExecuteRequest.java:68)  at org.gcube.common.authorizat

ion.library.AuthorizedTasks$1.call(AuthorizedTasks.java:41)   at java.util.concurrent.FutureTask.run(FutureTas

k.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)  at java.util.c

oncurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)  at java.lang.Thread.run(Thread.java:748)

Caused by: java.io.FileNotFoundException: http://data.d4science.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbz

dHbWJQNStIS0N6Yz0 at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1872) 

at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)  at org.gcube.dataa

nalysis.wps.statisticalmanager.synchserver.mapping.InputsManager.getLocalFiles(InputsManager.java:246)    at o

rg.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.InputsManager.mergeWpsAndEcologicalInputs(Inp

utsManager.java:123)  at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.AbstractEcologicalE

ngineMapper.run(AbstractEcologicalEngineMapper.java:401)    at org.gcube.dataanalysis.wps.statisticalmanager.s

ynchserver.mappedclasses.transducerers.PERFORMFISH_DATA_VALIDATOR_V2.run(PERFORMFISH_DATA_VALIDATOR_V2.java:30

)   at sun.reflect.GeneratedMethodAccessor138.invoke(Unknown Source)    at sun.reflect.DelegatingMethodAccesso

rImpl.invoke(DelegatingMethodAccessorImpl.java:43)    at java.lang.reflect.Method.invoke(Method.java:498) at o

rg.n52.wps.algorithm.annotation.AnnotationBinding$ExecuteMethodBinding.execute(AnnotationBinding.java:89)   ..

. 8 more</ExceptionText>  </Exception></ExceptionReport>

java.net.MalformedURLException: no protocol: <ExceptionReport version="1.0.0">  <Exception exceptionCode="NoAp

plicableCode">    <ExceptionText>Error while executing the embedded process for: org.gcube.dataanalysis.wps.st

atisticalmanager.synchserver.mappedclasses.transducerers.PERFORMFISH_DATA_VALIDATOR_V2</ExceptionText>  </Exce

ption>  <Exception exceptionCode="JAVA_StackTrace">    <ExceptionText>org.n52.wps.server.ExceptionReport: Erro

r while executing the embedded process for: org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedcl

asses.transducerers.PERFORMFISH_DATA_VALIDATOR_V2 at org.gcube.data.analysis.wps.ExecuteRequest.call(ExecuteRe

quest.java:646) at org.gcube.data.analysis.wps.ExecuteRequest.call(ExecuteRequest.java:68)  at org.gcube.commo

n.authorization.library.AuthorizedTasks$1.call(AuthorizedTasks.java:41)   at java.util.concurrent.FutureTask.r

un(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)  at

 java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)  at java.lang.Thread.run(Thre

ad.java:748)Caused by: java.lang.RuntimeException: http://data.d4science.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxc

Xl0VEtxbzdHbWJQNStIS0N6Yz0    at org.n52.wps.algorithm.annotation.AnnotationBinding$ExecuteMethodBinding.execu

te(AnnotationBinding.java:96)   at org.n52.wps.server.AbstractAnnotatedAlgorithm.run(AbstractAnnotatedAlgorith

m.java:54)    at org.gcube.data.analysis.wps.ExecuteRequest.call(ExecuteRequest.java:615) ... 6 moreCaused by:

 java.io.FileNotFoundException: http://data.d4science.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStI

S0N6Yz0   at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(HttpURLConnection.java:1872) at sun.n

et.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1474)  at org.gcube.dataanalysis.

wps.statisticalmanager.synchserver.mapping.InputsManager.getLocalFiles(InputsManager.java:246)    at org.gcube

.dataanalysis.wps.statisticalmanager.synchserver.mapping.InputsManager.mergeWpsAndEcologicalInputs(InputsManag

er.java:123)  at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.AbstractEcologicalEngineMap

per.run(AbstractEcologicalEngineMapper.java:401)    at org.gcube.dataanalysis.wps.statisticalmanager.synchserv

er.mappedclasses.transducerers.PERFORMFISH_DATA_VALIDATOR_V2.run(PERFORMFISH_DATA_VALIDATOR_V2.java:30)   at s

un.reflect.GeneratedMethodAccessor138.invoke(Unknown Source)    at sun.reflect.DelegatingMethodAccessorImpl.in

voke(DelegatingMethodAccessorImpl.java:43)    at java.lang.reflect.Method.invoke(Method.java:498) at org.n52.w

ps.algorithm.annotation.AnnotationBinding$ExecuteMethodBinding.execute(AnnotationBinding.java:89)   ... 8 more

</ExceptionText>  </Exception>  <Exception exceptionCode="JAVA_RootCause">    <ExceptionText>http://data.d4sci

ence.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0</ExceptionText>    <ExceptionText>java.la

ng.RuntimeException: http://data.d4science.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0    

at org.n52.wps.algorithm.annotation.AnnotationBinding$ExecuteMethodBinding.execute(AnnotationBinding.java:96) 

  at org.n52.wps.server.AbstractAnnotatedAlgorithm.run(AbstractAnnotatedAlgorithm.java:54)    at org.gcube.dat

a.analysis.wps.ExecuteRequest.call(ExecuteRequest.java:615) at org.gcube.data.analysis.wps.ExecuteRequest.call

(ExecuteRequest.java:68)  at org.gcube.common.authorization.library.AuthorizedTasks$1.call(AuthorizedTasks.jav

a:41)   at java.util.concurrent.FutureTask.run(FutureTask.java:266) at java.util.concurrent.ThreadPoolExecutor

.runWorker(ThreadPoolExecutor.java:1149)  at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExec

utor.java:624)  at java.lang.Thread.run(Thread.java:748)Caused by: java.io.FileNotFoundException: http://data.

d4science.org/NUw4b2I5cExoNTNkQXdDUnlSS0JkUUxxcXl0VEtxbzdHbWJQNStIS0N6Yz0 at sun.net.www.protocol.http.HttpURL

Connection.getInputStream0(HttpURLConnection.java:1872) at sun.net.www.protocol.http.HttpURLConnection.getInpu

tStream(HttpURLConnection.java:1474)  at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapping.Inp

utsManager.getLocalFiles(InputsManager.java:246)    at org.gcube.dataanalysis.wps.statisticalmanager.synchserv

er.mapping.InputsManager.mergeWpsAndEcologicalInputs(InputsManager.java:123)  at org.gcube.dataanalysis.wps.st

atisticalmanager.synchserver.mapping.AbstractEcologicalEngineMapper.run(AbstractEcologicalEngineMapper.java:40

1)    at org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.PERFORMFISH_DAT

A_VALIDATOR_V2.run(PERFORMFISH_DATA_VALIDATOR_V2.java:30)   at sun.reflect.GeneratedMethodAccessor138.invoke(U

nknown Source)    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)    

at java.lang.reflect.Method.invoke(Method.java:498) at org.n52.wps.algorithm.annotation.AnnotationBinding$Exec

uteMethodBinding.execute(AnnotationBinding.java:89)   ... 8 more</ExceptionText>  </Exception></ExceptionRepor

t>

    at java.net.URL.<init>(URL.java:593)

    at java.net.URL.<init>(URL.java:490)

    at java.net.URL.<init>(URL.java:439)

    at org.gcube.portlets.user.performfish.SubmittedFormValidation.doWPSCallToDataMiner(SubmittedFormValidatio

n.java:214)

    at org.gcube.portlets.user.performfish.SubmittedFormValidation.serveResource(SubmittedFormValidation.java:

141)

    at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:122)

    at com.liferay.portlet.ScriptDataPortletFilter.doFilter(ScriptDataPortletFilter.java:82)

    at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:116)

    at com.liferay.portal.kernel.portlet.PortletFilterUtil.doFilter(PortletFilterUtil.java:71)
    at com.liferay.portal.kernel.servlet.PortletServlet.service(PortletServlet.java:112)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:1

16)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

    at org.apache.catalina.core.ApplicationDispatcher.processRequest(ApplicationDispatcher.java:486)

    at org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:411)

    at org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:338)

    at com.liferay.portlet.InvokerPortletImpl.invoke(InvokerPortletImpl.java:580)

    at com.liferay.portlet.InvokerPortletImpl.invokeResource(InvokerPortletImpl.java:675)

    at com.liferay.portlet.InvokerPortletImpl.serveResource(InvokerPortletImpl.java:441)

    at com.liferay.portlet.PortletContainerImpl._doServeResource(PortletContainerImpl.java:775)

    at com.liferay.portlet.PortletContainerImpl.serveResource(PortletContainerImpl.java:149)

    at com.liferay.portlet.SecurityPortletContainerWrapper.serveResource(SecurityPortletContainerWrapper.java:

166)

    at com.liferay.portlet.RestrictPortletContainerWrapper.serveResource(RestrictPortletContainerWrapper.java:

166)

    at com.liferay.portal.kernel.portlet.PortletContainerUtil.serveResource(PortletContainerUtil.java:164)

    at com.liferay.portal.action.LayoutAction.processLayout(LayoutAction.java:394)

    at com.liferay.portal.action.LayoutAction.doExecute(LayoutAction.java:200)

    at com.liferay.portal.action.LayoutAction.execute(LayoutAction.java:95)

    at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)

    at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:236)

    at com.liferay.portal.struts.PortalRequestProcessor.process(PortalRequestProcessor.java:168)

    at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)

    at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at com.liferay.portal.servlet.MainServlet.callParentService(MainServlet.java:557)

#23 - Feb 04, 2019 06:08 PM - Massimiliano Assante

@g.panichi@isti.cnr.it what about exceptionCode="NoApplicableCode"? What Does this mean

#24 - Feb 04, 2019 06:54 PM - Giancarlo Panichi

Hi @massimiliano.assante@isti.cnr.it , there is always a public link problem regarding the volatile area. For example:

https://data.d4science.org/S3hTWWlMa2t4WXRLaHZQWXRlaG54Q1Y4YzFEQzBEVTBHbWJQNStIS0N6Yz0-VLT

#26 - Feb 05, 2019 01:18 PM - Andrea Dell'Amico

- % Done changed from 0 to 100

Does the solution to #13267 fixes the dataminers?

#27 - Feb 05, 2019 02:33 PM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Massimiliano Assante

#29 - Feb 05, 2019 02:38 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Gianpaolo Coro

cannot test it today nor tomorrow, reassigning to GP

#30 - Feb 05, 2019 02:57 PM - Gianpaolo Coro

- Status changed from Feedback to Resolved

I have tested in the PF-KPIs VRE with all test files and it worked.

#31 - Feb 05, 2019 03:17 PM - Roberto Cirillo

- Status changed from Resolved to Closed
Files

ghn.log 68.3 KB Jan 28, 2019 Roberto Cirillo

Screenshot 2019-02-04 at 11.01.34.png 102 KB Feb 04, 2019 Massimiliano Assante
